Loading...
Searching...
No Matches
x86 Virtual Registers (UTCB)
Base API » Object Invocation » Virtual Registers (UTCBs)
Collaboration diagram for x86 Virtual Registers (UTCB):

## Data Structures

struct | l4_exc_regs_t
| UTCB structure for exceptions. More...

## Typedefs

typedef struct l4_exc_regs_t | l4_exc_regs_t
| UTCB structure for exceptions.

## Enumerations

enum | L4_utcb_consts_x86 { L4_UTCB_EXCEPTION_REGS_SIZE = 19 , L4_UTCB_GENERIC_DATA_SIZE = 63 , L4_UTCB_GENERIC_BUFFERS_SIZE = 58 , L4_UTCB_MSG_REGS_OFFSET = 0 , L4_UTCB_BUF_REGS_OFFSET = 64 * sizeof(l4_umword_t) , L4_UTCB_THREAD_REGS_OFFSET = 123 * sizeof(l4_umword_t) , L4_UTCB_INHERIT_FPU = 1UL << 24 , L4_UTCB_OFFSET = 512 }
| UTCB constants for x86. More...

## Detailed Description

## Enumeration Type Documentation

## L4_utcb_consts_x86

enum L4_utcb_consts_x86

UTCB constants for x86.

Enumerator
L4_UTCB_EXCEPTION_REGS_SIZE | Number if message registers used for exception IPC.
L4_UTCB_GENERIC_DATA_SIZE | Total number of message register (MRs) available.
L4_UTCB_GENERIC_BUFFERS_SIZE | Total number of buffer registers (BRs) available.
L4_UTCB_MSG_REGS_OFFSET | Offset of MR[0] relative to the UTCB pointer.
L4_UTCB_BUF_REGS_OFFSET | Offset of BR[0] relative to the UTCB pointer.
L4_UTCB_THREAD_REGS_OFFSET | Offset of TCR[0] relative to the UTCB pointer.
L4_UTCB_INHERIT_FPU | BDR flag to accept reception of FPU state.
L4_UTCB_OFFSET | Offset of two consecutive UTCBs.

Definition at line 30 of file utcb.h.